Page MenuHomePhabricator

Review revision table and make sure that the PK is always rev_id
Closed, ResolvedPublic

Description

Some wikis still have rev_id,rev_user as PK.
That is wrong and can also lead to errors as: T238966#6356483

frwiktionary is definitely affected on some hosts (not all).

Affected wikis/hosts:

s1 nothing
s2 nothing
s3 nothing
s4 nothing
s5 nothing
s6 nothing
s7 (only frwiktionary):

  • db2087:3317
  • db2086:3317
  • db2120
  • db2121
  • db2122
  • db1098:3317
  • db1101:3317

s8 nothing
s10 nothing

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2020, 3:12 PM
Marostegui triaged this task as High priority.Aug 3 2020, 3:26 PM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2020-08-03T15:27:36Z] <marostegui> Change PK on frwiktionary.revision on db2087:3317, db2129, db2121 db2086:3317 T259524

Marostegui moved this task from Triage to In progress on the DBA board.
Marostegui updated the task description. (Show Details)Aug 3 2020, 3:36 PM

I doubt it, as those were just codfw replicas and only in s7, which is not enwiki.

Marostegui updated the task description. (Show Details)Aug 4 2020, 6:25 AM
Marostegui updated the task description. (Show Details)Aug 4 2020, 7:23 AM

Mentioned in SAL (#wikimedia-operations) [2020-08-04T10:00:35Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1101:3317 for MCR and PK change T259524', diff saved to https://phabricator.wikimedia.org/P12156 and previous config saved to /var/cache/conftool/dbconfig/20200804-100035-marostegui.json

Marostegui updated the task description. (Show Details)Aug 4 2020, 10:35 AM
Marostegui closed this task as Resolved.Aug 4 2020, 10:37 AM

This is all done

# /home/marostegui/section s7 | while read host port; do mysql.py -h$host:$port frwiktionary -e "show create table revision\G" | grep PRIMARY | grep rev_user ; done
#